Device Requirements FAQ

(Video Guide)

Why is the Stanford FCU Online Banking not working on my computer?
The computer you use must meet the following minimum requirements:

  • Standard PC or Mac® with at least a 1-GHz processor and 1 GB of RAM.
  • Available browser updates applied for improved security that provide anti-virus and spyware protection.
  • Microsoft® Windows® Vista Service Pack (SP) 2, Microsoft Windows 7/8/10, or Mac OS X.
  • Please refer to the browser compatibility FAQ if you meet the requirements above and are still have problems.
  • Note: Microsoft stopped supporting Windows XP and XP-compatible Internet Explorer (IE) in April 2014, including security updates. XP users who do not upgrade their operating systems should replace IE with Google Chrome for an up-to-date, secure Internet browser.
  • Cable, Digital Subscriber Line (DSL), or Integrated Services for Digital Network (ISDN) Internet connection. (Dial-up connections are not supported.)

Note: Satellite connections often have difficulty supporting encrypted, Hypertext Transfer Protocol Secure (HTTPS) applications. Since Stanford FCU Online Banking is HTTPS-encrypted for the safety of your financial information, some satellite cable connections may exhibit slow responses.

What browsers are compatible with Stanford FCU Online Banking?
Mac browser compatibility: Google Chrome 37 and later, Safari 9 and Mozilla Firefox 33 and later. (Mac OS X 10.6-10.11)
PC browser compatibility: Google Chrome 37 and later, Microsoft Internet Explorer 10.X (Windows 7 and 8), Microsoft Internet Explorer 11.X, Mozilla® Firefox® 33 and later
Note: For the most secure and consistent experience on mobile devices and tablets, use Stanford FCU’s App instead of mobile browsers.
What information is required to get the Stanford FCU Online Banking App?
A valid email address and telephone number are required.
The Stanford FCU Online Banking App functions best when the GPS or native mapping app (also known as Location Services) is enabled.
Mobile browsers, such as Safari, are not supported. Use the Stanford FCU App instead.
What smart phones and tablets are compatible with the Stanford FCU App?
Android Compatibility: Android 4.0.3 and later
Apple iOS Compatibility: iOS 8.x and later and the Apple iPhone 4 and newer models.
What mobile operating systems are not compatible with the Stanford FCU App?
Windows Phone®, Blackberry® and Kindle Fire® are not compatible with the Stanford FCU App.
I tried to log in with a browser that is not on the Stanford FCU's recommended browser list. Why am I not seeing the Unsupported Browser page?
That page appears for browsers that are explicitly known not to work. However, even if you use an unsupported browser to log in, it still isn’t officially supported. This means that even though you logged in, certain features may not work. You must use current versions of the compatible browsers listed.